commit:     0eb2820e924186da0d6ff61c9a42aac4cc2223ca
Author:     Michael Palimaka <kensington <AT> gentoo <DOT> org>
AuthorDate: Sat Apr 13 03:29:23 2019 +0000
Commit:     Michael Palimaka <kensington <AT> gentoo <DOT> org>
CommitDate: Sat Apr 13 03:29:33 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0eb2820e

net-libs/libssh: disable tests that take too long and timeout

Closes: https://bugs.gentoo.org/677006
Package-Manager: Portage-2.3.62, Repoman-2.3.12
Signed-off-by: Michael Palimaka <kensington <AT> gentoo.org>

 net-libs/libssh/libssh-0.8.7.ebuild |  8 ++++++++
 net-libs/libssh/libssh-9999.ebuild  | 10 +++++++++-
 2 files changed, 17 insertions(+), 1 deletion(-)

diff --git a/net-libs/libssh/libssh-0.8.7.ebuild 
b/net-libs/libssh/libssh-0.8.7.ebuild
index 4a55b7bbf1e..a2353f90c6b 100644
--- a/net-libs/libssh/libssh-0.8.7.ebuild
+++ b/net-libs/libssh/libssh-0.8.7.ebuild
@@ -59,6 +59,14 @@ src_prepare() {
        sed -i \
                -e '/torture_keyfiles/d' \
                tests/unittests/CMakeLists.txt || die
+
+       # disable tests that take too long (bug #677006)
+       if use sparc; then
+               sed -i \
+                       -e '/torture_threads_pki_rsa/d' \
+                       -e '/torture_pki_dsa/d' \
+                       tests/unittests/CMakeLists.txt || die
+       fi
 }
 
 multilib_src_configure() {

diff --git a/net-libs/libssh/libssh-9999.ebuild 
b/net-libs/libssh/libssh-9999.ebuild
index 5137fc6f8d2..d88693448ce 100644
--- a/net-libs/libssh/libssh-9999.ebuild
+++ b/net-libs/libssh/libssh-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2018 Gentoo Authors
+# Copyright 1999-2019 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
@@ -57,6 +57,14 @@ src_prepare() {
        sed -i \
                -e '/torture_keyfiles/d' \
                tests/unittests/CMakeLists.txt || die
+
+       # disable tests that take too long (bug #677006)
+       if use sparc; then
+               sed -i \
+                       -e '/torture_threads_pki_rsa/d' \
+                       -e '/torture_pki_dsa/d' \
+                       tests/unittests/CMakeLists.txt || die
+       fi
 }
 
 multilib_src_configure() {

Reply via email to